{% extends "index.html" %}

{% block content %}
    {% if user.is_authenticated %}
    <h3>Groups</h3>
    <table class="table table-dark table-striped">
        <thead style="align-self: center">
        <tr>
            <th scope="col">#id</th>
            <th scope="col">Subject</th>
            <th scope="col">Mentor</th>
            <th scope="col">Email</th>
            <th scope="col">Start of study</th>
            <th scope="col">End of study</th>
            <th scope="col">Average</th>
            <th scope="col">Edit</th>
            <th scope="col">Delete</th>
        </tr>
        </thead>
        <tbody class="table-group-divider">
        {% for group in groups %}
            <tr>
                <td>{{ group.pk }}</td>
                <td>{{ group.subject }}</td>
                {% if group.class_mentor %}
                    <td>{{ group.class_mentor }}</td>
                {% else %}
                    <td>Undefined</td>
                {% endif %}
                <td>{{ group.email }}</td>
                <td>{{ group.start_of_study_date }}</td>
                <td>{{ group.end_of_study_date }}</td>
                <td>{{ group.group_average_grade }}</td>
                <td><a type="button" class="btn btn-warning"
                       href="{% url 'groups:update_groups' group.pk %}">Edit</a>
                </td>
                <td><a type="button" class="btn btn-danger"
                       href="{% url 'groups:delete_groups' group.pk %}">Delete</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% endif %}
{% endblock content %}